Request
curl https://sandbox.api.lendeasy.ai/v1/loans/$LOAN_ID/documents \
-H "Authorization: Bearer $TOKEN"
await fetch(`https://sandbox.api.lendeasy.ai/v1/loans/${loanId}/documents`, {
method: "GET",
headers: { Authorization: `Bearer ${token}` },
});
requests.get(
f"https://sandbox.api.lendeasy.ai/v1/loans/{loan_id}/documents",
headers={"Authorization": f"Bearer {token}"},
)
{
"items": [
{
"documentId": 1204,
"documentRef": "doc_4f2a9c1b8d3e5a7c9b1d",
"documentType": "INCOME_EVIDENCE",
"title": "Pay statement — April",
"origin": "STAFF_UPLOAD",
"originalFileName": "pay-statement-april.pdf",
"contentType": "application/pdf",
"contentLength": 184220,
"checksumSha256": "2d8c1f0e5b7a4c6d8e0f2a4b6c8d0e1f3a5b7c9d1e3f5a7b9c1d3e5f7a9b188a",
"scanStatus": "CLEAN",
"status": "ACTIVE",
"sensitive": false,
"createdAt": "2027-05-01T10: 40:00Z"
}
]
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}